import React from 'react';
import ReactDom from 'react-dom';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import './content.less';
import { Form,Radio, Icon, Button, Input, Select, Spin, Table, Switch, message, DatePicker, Modal, Upload,Popconfirm,AutoComplete } from 'antd';
import {patternOrganization,conditionOrganization,client,stick} from '../../dataDic.js';
import {getPattern,getAchievementCategory,getboutique,getClient,getStick} from '../../tools.js';

const Organization=Form.create()(React.createClass({
	loadData(pageNo) {
        this.state.data = [];
        this.setState({
            loading: true,
            ispage:pageNo,
        });
        let nameText=this.state.SuperArr;
        let superText=(this.state.superId)?nameText[parseInt(this.state.superId)].id:undefined;
        let nameTexts=this.state.SuperArrs;
        let superTexts=(this.state.publishPage)?nameTexts[parseInt(this.state.publishPage)].id:undefined;
       	$.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/achievement/listPublish',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                name: this.state.name, //成果名称
                publishPlatform:superText,//发布子平台
                publishClient:this.state.publishClient,//发布客户端
                publishPage:superTexts,//发布页面
                ifTop:this.state.ifTop,//是否置顶
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: i,
                            id: thisdata.id,//发布成果ID
                            achievementId:thisdata.achievementId,//成果ID
                            publishPlatform:thisdata.publishPlatform,//发布子平台ID
                            platformName:thisdata.platformName,//发布子平台ID
                            publishClient:thisdata.publishClient.toString(),//发布客户端
                            publishPage:thisdata.publishPage,//发布页面
                            publishPageName:thisdata.publishPageName,//发布页面
                            ifTop:thisdata.ifTop.toString(),//是否置顶
                            topNumber:thisdata.topNumber,//置顶编号
                            showNumber:thisdata.showNumber,//显示编号
                            publisher:thisdata.publisher,//发布人ID
                            publishTime:thisdata.publishTime,//发布时间
                            serialNumber:thisdata.serialNumber,//成果编号
                            name:thisdata.name,//成果名称
                            userName:thisdata.userName,//成果所有人
                            publisherName:thisdata.publisherName,//发布人名称
                            publishTimeFormattedDate:thisdata.publishTimeFormattedDate,//发布时间
                        });
                    };
                    this.state.pagination.current = data.data.pageNo;
                    this.state.pagination.total = data.data.totalCount;
                };
                this.setState({
                    dataSource: theArr,
                    pagination: this.state.pagination
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
       
    },
    loadDatas(pageNo, apiUrl) {
        this.state.data = [];
      if(this.state.serialNumber&&isNaN(this.state.serialNumber)){
     	message.warning('请输入正确的编号格式');
      	return false;
      }
         this.setState({
            loading: true,
            ispage:pageNo,
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/achievement/orgList',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
               	auditStatus:3,//名称
               	serialNumber: this.state.serialNumber, //编号
                name: this.state.name,
                keyword: this.state.keyword, // 关键词
               	releaseDateStartDate: this.state.releaseDate[0],
                releaseDateEndDate: this.state.releaseDate[1],
                releaseStatus: this.state.releaseStatus ? Number(this.state.releaseStatus) : undefined, //是否发布(0--未发布,1--已发布)
                boutique:this.state.boutique,
                hot:this.state.hot,
                createDateStartDate: this.state.releaseDateS[0],
                createDateEndDate: this.state.releaseDateS[1],
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,
                            serialNumber: thisdata.serialNumber,
                            dataCategory: thisdata.dataCategory,
                            name: thisdata.name,
                            keyword: thisdata.keyword,
                            theName: thisdata.username || thisdata.ownerName,
                            category: thisdata.category,
                            ownerName: thisdata.username ? thisdata.username : thisdata.ownerName,
                            ownerType: thisdata.ownerType,
                            ownerMobile: thisdata.ownerMobile,
                            status: thisdata.status,
                            releaseDate: thisdata.releaseDate,
                            releaseDateFormattedDate: thisdata.releaseDateFormattedDate,
                            auditStatus: thisdata.auditStatus,
                            boutique: thisdata.boutique,
                            hot: thisdata.hot,
                            releaseStatus: thisdata.releaseStatus,
                            techBrokerId:thisdata.techBrokerId,
                            createTimeFormattedDate: thisdata.createTimeFormattedDate,
                            remark:thisdata.remark,
                            ispage:pageNo,
                        });
                    };
                    this.state.paginations.current = data.data.pageNo;
                    this.state.paginations.total = data.data.totalCount;
                };
                this.setState({
                    dataSourcesli: theArr,
                    paginations: this.state.paginations
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false,
                visible: true
            });
        }.bind(this));
    },
    getInitialState() {
        return {
            searchMore: true,
            selectedRowKeys: [],
            selectedRowKeysli:[],
            selectedRows: [],
            releaseDate: [],
            releaseDateS: [],
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            paginations: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadDatas(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            columns: [
                {
                    title: '成果编号',
                    dataIndex: 'serialNumber',
                    key: 'serialNumber',
                }, {
                    title: '成果名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '客户名称',
                    dataIndex: 'userName',
                    key: 'userName',
                }, {
                    title: '发布子平台',
                    dataIndex: 'platformName',
                    key: 'platformName',
                },{
                    title: '发布客户端',
                    dataIndex: 'publishClient',
                    key: 'publishClient',
                    render: text => { return getClient(text) }
                },  {
                    title: '发布页面',
                    dataIndex: 'publishPageName',
                    key: 'publishPageName',
                },{
                    title: '是否置顶',
                    dataIndex: 'ifTop',
                    key: 'ifTop',
                    render: text => { return getStick(text) }
                  
                },  {
                    title: '展示序号',
                    dataIndex: 'showNumber',
                    key: 'showNumber',
                },  {
                    title: '置顶序号',
                    dataIndex: 'topNumber',
                    key: 'topNumber',
                },  {
                    title: '发布人',
                    dataIndex: 'publisherName',
                    key: 'publisherName',
                },  {
                    title: '发布时间',
                    dataIndex: 'publishTimeFormattedDate',
                    key: 'publishTimeFormattedDate',
                }, {
                    title: '操作',
                    dataIndex: 'ee',
                    key: 'ee',
                    render: (text, record, index) => {
                    	return <div>
							<Popconfirm title={'请确认撤销发布成果【'+record.name+'】'} onConfirm={(e)=>{this.examine(record)}} okText="确认" cancelText="取消">
							    <Button style={{marginRight:'5px'}} onClick={(e) =>{ e.stopPropagation()}} type="danger">撤销发布</Button>                 
							</Popconfirm>
                        </div>
					}
                }
            ],
            dataSource: [],
            searchTime: [,],
            column: [
                {
                    title: '编号',
                    dataIndex: 'serialNumber',
                    key: 'serialNumber',
                }, {
                    title: '名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '关键字',
                    dataIndex: 'keyword',
                    key: 'keyword',
                }, {
                    title: '类型',
                    dataIndex: 'category',
                    key: 'category',
                    render: text => { return getAchievementCategory(text); }
                }, {
                    title: '录入人',
                    dataIndex: 'techBrokerId',
                    key: 'techBrokerId',
                },
                {
                    title: '是否精品',
                    dataIndex: 'boutique',
                    key: 'boutique',
                    render: text => { return getboutique(text) }
                },
                {
                    title: '发布时间',
                    dataIndex: 'releaseDateFormattedDate',
                    key: 'releaseDateFormattedDate',
                },{
                    title: '录入时间',
                    dataIndex: 'createTimeFormattedDate',
                    key: 'createTimeFormattedDate',
                }
            ],
            dataSourcesli: [],
            searchTime: [,]
        };
    },
    componentWillMount() {
    	this.selectSuperIds();
    	
    },
    examine(record) {
        this.setState({
            selectedRowKeys: [],
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/achievement/deletePublish',
            data: {
                id:record.id,
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('操作成功');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.loadData(this.state.ispage);
        }.bind(this));
    },
    //获取发布子平台
    selectSuperId() {  
    	this.state.data = []
         $.ajax({
                method: "get",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/achievement/getBranchInformation",
                data:{
                  
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		              };   
					    var contactIds=[];
				        for(var i=0;i<data.data.length;i++){
	                    	let theData = data.data[i];
		                    theArr.push(
		                        <Select.Option value={i.toString()} key={theData.platformName}>{theData.platformName}</Select.Option>
		                    );
		                };
						this.setState({	
							SuperArr:thedata,
		                    contactsOption: theArr, 
		                    orderStatusOptions:data.data,
	                    });
	                    
					}.bind(this),
				}).always(function () {
				this.loadData();
	            this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	//获取发布页面
    selectSuperIds() {  
    	this.state.data = []
         $.ajax({
                method: "get",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/achievement/getPublishPage",
                data:{
                  
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		              };   
					    var contactIds=[];
				        for(var i=0;i<data.data.length;i++){
	                    	let theData = data.data[i];
		                    theArr.push(
		                        <Select.Option value={i.toString()} key={theData.name}>{theData.name}</Select.Option>
		                    );
		                };
						this.setState({	
							SuperArrs:thedata,
		                    contactsOptions: theArr, 
		                    orderStatusOptions:data.data,
	                    });
	                    
					}.bind(this),
				}).always(function () {
				this.selectSuperId();
	            this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	//编辑部门，保存
    edithandleSubmit(e){
    	e.preventDefault();	
    	if(!this.state.editifTop){
    		message.warning('请确认是否置顶'); 
    		return false;
    	}
    	let topNumbers=(this.state.edittopNumber==9999999)?undefined:this.state.edittopNumber;
    	topNumbers=topNumbers?topNumbers:undefined;
    	if(this.state.ifTop==0){
    		if(!topNumbers){
	    		message.warning('请输入置顶序号'); 
	    		return false;
    		}
    		let b=this.state.topNumber.split('');
			for(var i=0;i<b.length;i++){
				if(parseInt(b[i]).toString()=='NaN'){
					message.warning('置顶序号请输入数字'); 
	    			return false;
				};
			}
    	}else{
    		if(topNumbers){
	    		message.warning('请清空置顶序号'); 
	    		return false;
    		}
    		if(!this.state.editshowNumber){
	    		message.warning('请输入展示序号'); 
	    		return false;
	    	}
    		let b=this.state.showNumber.split('');
			for(var i=0;i<b.length;i++){
				if(parseInt(b[i]).toString()=='NaN'){
					message.warning('展示序号请输入数字'); 
	    			return false;
				};
			}
    	}
    	//上级组织字典
        let nameText=this.state.SuperArr;
        let nameTexts=this.state.SuperArrs;
        let superText=(parseInt(this.state.editpublishPlatform).toString()=='NaN')?undefined:nameText[parseInt(this.state.editpublishPlatform)].id;
        let superTexts=(parseInt(this.state.editpublishPage).toString()=='NaN')?undefined:nameTexts[parseInt(this.state.editpublishPage)].id;
    	$.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url:globalConfig.context + '/api/admin/achievement/updatePublish',
            data:{
            	id:this.state.editid,//成果发布ID
            	achievementId:this.state.editachievementId, //成果ID
            	publishPlatform:superText,//发布平台
                publishClient:this.state.editpublishClient,//发布客户端
                publishPage:superTexts,//发布页面
                ifTop:this.state.editifTop,//是否置顶
                topNumber:topNumbers,//置顶序号
                showNumber:this.state.editshowNumber,//展示序号
            }
        }).done(function (data) { 
            this.setState({
                loading: false
            });
            if (!data.error.length) {
                message.success('保存成功！'); 
                this.edithandleCancel();
                this.selectSuperId();
            } else {
                message.warning(data.error[0].message);
            }
        }.bind(this));
    },  
	//整行点击
    tableRowClick(record, index) {
    	this.selectSuperIds();
    	this.state.RowData = record; 
        this.setState({
        	editvisible: true,
        	selectedRowKeys:[],
        	editid:record.id,
        	editachievementId:record.achievementId,
        	editpublishPlatform:record.platformName,
        	editpublishClient:record.publishClient,
        	editpublishPage:record.publishPageName,
        	editifTop:record.ifTop,
        	edittopNumber:record.topNumber,
        	editshowNumber:record.showNumber,
        	editserialNumber:record.serialNumber,
        	editname:record.name,
        	edituserName:record.userName,
        })    
    },
    
    //新增一个部门，保存
    addhandleSubmit(e){
    	e.preventDefault();	
    	if(!this.state.publishPlatform){
    		message.warning('请选择发布子平台');
    		return false;
    	}
    	if(!this.state.publishClient){
    		message.warning('请选择发布客户端');
    		return false;
    	}
    	if(!this.state.publishPage){
    		message.warning('请选择发布页面'); 
    		return false;
    	}
    	if(!this.state.ifTop){
    		message.warning('请确认是否置顶'); 
    		return false;
    	}
    	if(this.state.ifTop==0){
    		if(!this.state.topNumber){
	    		message.warning('请输入置顶序号'); 
	    		return false;
    		}
    		let b=this.state.topNumber.split('');
			for(var i=0;i<b.length;i++){
				if(parseInt(b[i]).toString()=='NaN'){
					message.warning('置顶序号请输入数字'); 
	    			return false;
				};
			}
    	}else{
    		if(this.state.topNumber){
	    		message.warning('请清空置顶序号'); 
	    		return false;
    		}
    		if(!this.state.showNumber){
	    		message.warning('请输入展示序号'); 
	    		return false;
	    	}
    		let b=this.state.showNumber.split('');
			for(var i=0;i<b.length;i++){
				if(parseInt(b[i]).toString()=='NaN'){
					message.warning('展示序号请输入数字'); 
	    			return false;
				};
			}
    	}
    	
    	this.props.form.validateFields((err, values) => {                                 
            if (!err) {
                this.setState({
                    loading: true
                }); 
                //上级组织字典
                let nameText=this.state.SuperArr;
        		let superText=nameText[parseInt(this.state.publishPlatform)].id;
        		let nameTexts=this.state.SuperArrs;
        		let superTexts=nameTexts[parseInt(this.state.publishPage)].id;
       			$.ajax({
                    method: "post",
                    dataType: "json",
                    crossDomain: false,
                    url:globalConfig.context + '/api/admin/achievement/addAchievementPublish',
                    data:{
                    	achievementId:this.state.selectedRowKeysli?this.state.selectedRowKeysli.join(","):undefined,//成果ID
                    	publishPlatform:superText,//发布平台
                    	publishClient:this.state.publishClient,//发布客户端
                        publishPage:superTexts, //发布页面
                        ifTop:this.state.ifTop,//是否置顶
                        topNumber:this.state.topNumber,//置顶序号
                        showNumber:this.state.showNumber,//展示序号
                    }
                }).done(function (data) { 
                    this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！'); 
                        this.handleCancel();
                        this.selectSuperId();
                    } else {
                        message.warning(data.error[0].message);
                    }
                }.bind(this));
            }
        });
    },
    
    //主管初始加载(自动补全)
	supervisor(e){ 
		$.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/organization/selectName",
            data:{
            	name:e
            },
            success: function (data) {                	  
				       let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
              }; 
					this.setState({
						customerArr:thedata,	
                    });
				}.bind(this),
			}).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));  
	},
	//上级主管输入框失去焦点是判断客户是否存在
	selectAuto(value,options){
		this.setState({
			managerIdOrganization:value
		})
	},
	//失去焦点时
	blurChange(e){
//		let theType='';
//		let contactLists=this.state.customerArr||[];
//			if (e) {
//          contactLists.map(function (item) {
//              if (item.name == e.toString()) {
//                  theType = item.id;
//              }
//         });     
// 	    }
		this.setState({
			theTypes:e
		})
	},
	//值改变时请求客户名称
	httpChange(e){
		if(e.length>=2){
			this.supervisor(e); 
		}	
		this.setState({
			managerIdOrganization:e
		})
	},
    addClick() {
    	this.state.name = undefined;//成果名称清零
        this.state.publishPlatform = undefined;//发布子平台清零
        this.state.publishClient = undefined;//发布客户端清零
        this.state.publishPage = undefined;//发布页面清零
        this.state.ifTop = undefined;//是否置顶清零
        this.state.topNumber = undefined;//置顶序号清零
        this.state.showNumber = undefined;//展示序号清零
        this.state.selectedRowKeysli=undefined;//选定的成果ID清零
        this.state.RowData = {};
        this.selectSuperId();
        this.loadDatas();
    },
    editClick() {
        this.state.RowData = {};
        this.setState({
            editvisible: true
        });
    },
   	handleCancel() {
        this.setState({ visible: false })
    },
    edithandleCancel() {
        this.setState({ editvisible: false })
    },
    search() {
        this.loadData();
    },
    searchs() {
        this.loadDatas();
    },
    //把搜索的部分置零
    reset() {
    	this.state.name = undefined;//成果名称清零
        this.state.superId = undefined;//发布子平台清零
        this.state.publishClient = undefined;//发布客户端清零
        this.state.publishPage = undefined;//发布页面清零
        this.state.ifTop = undefined;//是否置顶清零
        this.loadData();       
    },
    resets() {
        this.state.serialNumber = undefined;
        this.state.name = undefined;
        this.state.keyword = undefined;
        this.state.category = undefined;
        this.state.ownerType = undefined;
        this.state.releaseStatus = undefined;
        this.state.auditStatus = undefined;
        this.state.searchName = undefined;
        this.state.releaseDate = [];
        this.state.releaseDateS = [];
        this.state.boutique = '';
        this.state.hot='' ;
        this.loadDatas();       
    },
    searchSwitch() {
        this.setState({
            searchMore: !this.state.searchMore
        });
    },
    render() {
    	const FormItem = Form.Item
        const rowSelection = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows.slice(-1),
                    selectedRowKeys: selectedRowKeys.slice(-1)
                });
            },
            onSelect: (recordt, selected, selectedRows) => {			   
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
         const rowSelections = {
            selectedRowKeysli: this.state.selectedRowKeysli,
            onChange: (selectedRowKeysli, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows,
                    selectedRowKeysli: selectedRowKeysli
                });
            },
            onSelect: (recordt, selected, selectedRows) => {
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const formItemLayout = {
            labelCol: { span: 8 },
            wrapperCol: { span: 14 },
        };
       	const { getFieldDecorator } = this.props.form;
        const hasSelected = this.state.selectedRowKeys.length > 0;
        const { RangePicker } = DatePicker;
        const dataSources=this.state.customerArr || [];
        const options = dataSources.map((group,index) =>
				      <Option key={index} value={group.name}>{group.name}</Option>
				     )
        return (
            <div className="user-content" >
                <div className="content-title">
	                <div className="user-search">
	                    <Input placeholder="成果名称" style={{width:'150px',marginRight:'10px',marginBottom:'10px'}}
	                        value={this.state.name}
	                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
	                    <Select placeholder="发布子平台"
                            style={{ width:'200px',marginRight:'10px' }}
                            value={this.state.superId}
                            onChange={(e) => { this.setState({ superId: e }) }} notFoundContent="未获取到上级组织列表">
                            {this.state.contactsOption}
		                </Select>
		                <Select placeholder="发布客户端"
                            style={{width:'150px',marginRight:'20px'}}
                            value={this.state.publishClient}
                            onChange={(e) => { this.setState({ publishClient: e }) }}>
                            <Select.Option value="0" >网站</Select.Option>
                            <Select.Option value="1" >APP</Select.Option>
		                </Select>
	                    <Button type="primary" onClick={this.search} style={{marginRight:'10px'}}>搜索</Button>
	                    <Button onClick={this.reset} style={{marginRight:'10px'}}>重置</Button>
                        <span style={{marginRight:'20px'}}>更多搜索    <Switch defaultChecked={false} onChange={this.searchSwitch} /></span>
	                    <div  style={this.state.searchMore ? { display: 'none' } : {display: 'inline-block'}}>
	                    	<Select placeholder="发布页面"
	                            style={{ width:'200px',marginRight:'10px' }}
	                            value={this.state.publishPage}
	                            onChange={(e) => { this.setState({ publishPage: e }) }} notFoundContent="未获取到发布页面">
	                            {this.state.contactsOptions}
			                </Select>
			                <Select placeholder="是否置顶"
	                            style={{width:'150px',marginRight:'50px'}}
	                            value={this.state.ifTop}
	                            onChange={(e) => { this.setState({ ifTop: e }) }}>
	                            <Select.Option value="0" >置顶</Select.Option>
	                            <Select.Option value="1" >不置顶</Select.Option>
			                </Select>
		                </div>
	                    <Button type="primary" className="addButton" onClick={this.addClick} style={{marginBottom:'10px'}}>发布成果<Icon type="plus" /></Button>
	                </div>
	                <div className="patent-table">
	                    <Spin spinning={this.state.loading}>
	                        <Table columns={this.state.columns}
	                            dataSource={this.state.dataSource}
	                            rowSelection={rowSelection}
	                            pagination={this.state.pagination}
	                            onRowClick={this.tableRowClick} />
	                    </Spin>
	                </div>
	             
	                 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel}
	                        width='1200px'
	                        title='发布成果'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.addhandleSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <div className="clearfix">
					                    <FormItem  className="half-item"
					                    	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           label="发布子平台"
			                               > 
			                              <Select placeholder="请选择子平台" value={this.state.publishPlatform} onChange={(e)=>{this.setState({publishPlatform:e})}}
				                                notFoundContent="未获取到子平台">
				                                {this.state.contactsOption}
				                            </Select> 
				                        </FormItem>
				                        <FormItem  className="half-item"
				                         	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="发布客户端"
				                         > 
					                          <Select placeholder="选择客户端" value={this.state.publishClient} 
				                                onChange={(e)=>{this.setState({publishClient:e})}}> 
				                                {
				                                    client.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
		                   		    </div>
		                   		    <div className="clearfix">
					                    <FormItem  className="half-item"
					                    	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           label="发布页面位置"
			                               > 
			                              <Select placeholder="请选择页面位置" value={this.state.publishPage} onChange={(e)=>{this.setState({publishPage:e})}}
				                                notFoundContent="未获取到页面位置">
				                                {this.state.contactsOptions}
				                            </Select> 
				                        </FormItem>
				                        <FormItem  className="half-item"
				                         	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="是否置顶"
				                         > 
					                          <Select placeholder="选择是否置顶" value={this.state.ifTop} 
				                                onChange={(e)=>{this.setState({ifTop:e})}}> 
				                                {
				                                    stick.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
		                   		    </div>
				                    <div className="clearfix">
				                    	<FormItem className="half-item"
					                            labelCol={{ span: 7 }}
					                        	wrapperCol={{ span: 12 }}
					                            label="置顶序号" >
				                    	     <Input placeholder="请输入置顶序号" value={this.state.topNumber} 
				                                onChange={(e)=>{this.setState({topNumber:e.target.value})}}/>
					                    </FormItem>
				                    	<FormItem className="half-item"
					                            labelCol={{ span: 7 }}
					                        	wrapperCol={{ span: 12}}
					                            label="展示序号" >
					                             <Input placeholder="请输入展示序号" value={this.state.showNumber} 
				                                onChange={(e)=>{this.setState({showNumber:e.target.value})}}/>
					                    </FormItem>
				                    </div>
				                    <div className="user-search">
					                    <Input placeholder="编号" style={{"width":"150px","display":"inlineBlock","marginRight":"10px",'marginBottom':"5px"}}
					                        value={this.state.serialNumber}
					                        onChange={(e) => { this.setState({ serialNumber: e.target.value }); }} />
					                    <Input placeholder="名称" style={{"width":"150px","display":"inlineBlock","marginRight":"10px"}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Input placeholder="关键字" style={{"width":"150px","display":"inlineBlock","marginRight":"10px"}}
					                        value={this.state.keyword}
					                        onChange={(e) => { this.setState({ keyword: e.target.value }); }} />
					                   	<span style={{"marginRight":"5px"}}>是否精品 :</span>
					                   	<Radio.Group value={this.state.boutique} onChange={(e) => {
						                    this.setState({ boutique: e.target.value })
						                    }}>
						                        <Radio value={1}>精品</Radio>
						                        <Radio value={0}>非精品</Radio>
						                </Radio.Group>
						                <span style={{"marginRight":"5px"}}>发布时间 :</span>
						                <RangePicker style={{"marginRight":"150px"}}
				                            value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
				                            this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
				                            onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />
				                         <span style={{'marginRight':'5px'}}>录入时间 :</span>
				                        <RangePicker  style={{"display":"inlineBlock",'marginRight':'10px'}}
				                            value={[this.state.releaseDateS[0] ? moment(this.state.releaseDateS[0]) : null,
				                            this.state.releaseDateS[1] ? moment(this.state.releaseDateS[1]) : null]}
				                            onChange={(data, dataString) => { this.setState({ releaseDateS: dataString }); }} />
				                    	<Button type="primary" onClick={this.searchs} style={{"display":"inlineBlock",'marginRight':'10px'}}>搜索</Button>
					                    <Button onClick={this.resets} style={{"display":"inlineBlock"}}>重置</Button>
				                    </div>
				                    <div className="patent-table">
					                    <Spin spinning={this.state.loading}>
					                        <Table columns={this.state.column}
					                            dataSource={this.state.dataSourcesli}
					                            rowSelection={rowSelections}
					                            pagination={this.state.paginations}
					                             />
					                    </Spin>
					                </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">保存</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	</div>
                	<div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.editvisible}
	                        onOk={this.checkPatentProcess} onCancel={this.edithandleCancel}
	                        width='900px'
	                        title='编辑发布'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.edithandleSubmit} id="edit-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="clearfix">
					                    <FormItem  className="half-item"
					                    	labelCol={{ span: 6 }}
					                        wrapperCol={{ span: 12 }}
				                           label="发布子平台"
			                               > 
			                              <Select placeholder="请选择子平台" value={this.state.editpublishPlatform} onChange={(e)=>{this.setState({editpublishPlatform:e})}}
				                                notFoundContent="未获取到子平台">
				                                {this.state.contactsOption}
				                            </Select> 
				                        </FormItem>
				                        <FormItem  className="half-item"
				                         	labelCol={{ span: 6 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="发布客户端"
				                         > 
					                          <Select placeholder="选择客户端" value={this.state.editpublishClient} 
				                                onChange={(e)=>{this.setState({editpublishClient:e})}}> 
				                                {
				                                    client.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
		                   		    </div>
		                   		    <div className="clearfix">
					                    <FormItem  className="half-item"
					                    	labelCol={{ span: 6 }}
					                        wrapperCol={{ span: 12 }}
				                           label="发布页面位置"
			                               > 
			                              <Select placeholder="请选择页面位置" value={this.state.editpublishPage} onChange={(e)=>{this.setState({editpublishPage:e})}}
				                                notFoundContent="未获取到页面位置">
				                                {this.state.contactsOptions}
				                            </Select> 
				                        </FormItem>
				                        <FormItem  className="half-item"
				                         	labelCol={{ span: 6 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="是否置顶"
				                         > 
					                          <Select placeholder="选择是否置顶" value={this.state.editifTop} 
				                                onChange={(e)=>{this.setState({editifTop:e})}}> 
				                                {
				                                    stick.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
		                   		    </div>
				                    <div className="clearfix">
				                    	<FormItem className="half-item"
					                            labelCol={{ span: 6 }}
					                        	wrapperCol={{ span: 12 }}
					                            label="置顶序号" >
				                    	     <Input placeholder="请输入置顶序号" value={this.state.edittopNumber} 
				                                onChange={(e)=>{this.setState({edittopNumber:e.target.value})}}/>
					                    </FormItem>
				                    	<FormItem className="half-item"
					                            labelCol={{ span: 6 }}
					                        	wrapperCol={{ span: 12}}
					                            label="展示序号" >
					                             <Input placeholder="请输入展示序号" value={this.state.editshowNumber} 
				                                onChange={(e)=>{this.setState({editshowNumber:e.target.value})}}/>
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem className="half-item"
						                    labelCol={{ span: 6 }}
						                    wrapperCol={{ span: 12 }}
						                    label="成果编号"
					                        >
					                        <span>{this.state.editserialNumber}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
						                    labelCol={{ span: 6 }}
						                    wrapperCol={{ span: 12 }}
						                    label="客户名称"
					                        >
					                        <span>{this.state.edituserName}</span>
					                    </FormItem>
					               		
					                </div>
					                <div className="clearfix">
				                    	<FormItem 
						                    labelCol={{ span: 3 }}
						                    wrapperCol={{ span: 18 }}
						                    label="成果名称"
					                        >
					                        <span>{this.state.editname}</span>
					                    </FormItem>
					                </div>
		                   		    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">保存</Button>  
				                   		<Button className="set-submit" type="ghost" onClick={this.edithandleCancel} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 
            	</div>
            </div>
        );
    }
}));

export default Organization;
